What am I doing wrong? When the block is inserted In need the attributes to be displayed (progn (setvar "attreq" 0) (COMMAND ".INSERT" block_dwg PT5 (wm_scale) "" "0") (setq blk_chk (ssget "L" )) (setq data (entget (ssname blk_chk 0))) (setq blk_sca (cdr (assoc 41 data))) (next_vertex) (setq blk_att_siz (cdr (assoc 40 data))) (if (= (rtos (/ blk_att_siz blk_sca) 2 5) ".09375") (setq pt4 (polar pt5 ang (* -0.25 blk_sca))) (setq pt4 (polar pt5 ang (* -0.336 blk_sca))) ) (COMMAND ".LINE" "none" PT3 "none" PT4 "") (setvar "attreq" 1) ) ;progn
Hi thenrich, When you set the variable attreq to 0, according to the help files this setting assumes the defaults for the values of all attributes. So either change that first setting to 1 instead or if your attreq is always set to 1 then take those statements out altogether and then your attribute prompts will be displayed. Also, if you are using AutoCAD 2005 (or 2004 also?) then INSERT should be -INSERT, with the - (dash). Hope this helps you out. Arnold Williams
(setvar "attmode" 1) Check system variable 'attmode'. If 0, no attrib's will be visible. See the help on this. Bob